package ru.yandex.autodoc.common.doc.types;

/**
 * @author avhaliullin
 */
public class MapType extends ValueType {
    private final ValueType keyType;
    private final ValueType valueType;

    public MapType(ValueType keyType, ValueType valueType) {
        super("map", STRING);
        this.keyType = keyType;
        this.valueType = valueType;
    }

    public ValueType getKeyType() {
        return keyType;
    }

    public ValueType getValueType() {
        return valueType;
    }
}
